function TF=Test_Format(FileName,Type)
%FileName : the name of the .txt file
%Type ='Signal'     for the recovered signal 
%     ='SingleShell'    for the estimated ODF
%     ='Angle'  for the estimated angular information
a=load(FileName);

N=size(a);
if(length(N)==1)
    TF=false;
    disp('Data has to be in a two-dimensional matrix.');
else if(N(1)==208)
        a=a';
        N=size(a);
    end
end
if(N(2)~=208)
    TF=false;
    disp('The number of columns should be 208.');
else
    switch Type
        case 'Signal'
            if(N(1)==405)
                TF=true;
            else
                TF=false;
            end
        case 'SingleShell'
            if(N(1)==81)
                TF=true;
            else
                TF=false;
            end
        case 'Angle'
            if(N(1)==4)
                TF=true;
            else
                TF=false;
            end
        otherwise
            disp('Input type is incorrect!');
    end
end

            
